<template>
  <main class="main-content">
    <slider></slider>
    <tabs></tabs>
  </main>
</template>

<script>
import Slider from "@/components/Slider";
import Tabs from "@/components/Tabs";

export default {
  name: "MainContent",
  components: {
    Slider: Slider,
    Tabs: Tabs
  }
};
</script>

<style scoped lang="scss">
.main-content {
  overflow: hidden;
}

.main-content::after {
  content: "";
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  z-index: -1;
  right: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.6);
  /*transform: scale(1.2);*/
  backface-visibility: hidden;
  transition: z-index 0.7s linear, opacity 1s ease-out;
}

.main-content {
  backface-visibility: hidden;
  transition: transform 0.7s cubic-bezier(1, 0, 0, 1),
    filter 0.7s cubic-bezier(1, 0, 0, 1);
}
</style>